package com.storlead.framework.common.util;

import java.io.Closeable;

/**
 * @program: sp-sales
 * @description:
 * @author: chenkq
 * @create: 2022-08-22 14:56
 */
public class CloseUtil {
    public static void close(Closeable closeable) {
        if (null != closeable) {
            try {
                closeable.close();
            } catch (Exception e) {
                // 静默关闭
            }
        }
    }

    public static void close(AutoCloseable closeable) {
        if (null != closeable) {
            try {
                closeable.close();
            } catch (Exception e) {
                // 静默关闭
            }
        }
    }
}
